within Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data;
package Generic "Package with generic performance curves"
  extends Modelica.Icons.MaterialPropertiesPackage;

  annotation (Documentation(info="<html>
<p>
This package contains performance curves for the cooling capacity and the EIR
of air-cooled DX cooling coils.
For performance data of specific air-cooled DX cooling coils, see the packages
<a href=\"Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.SingleSpeed\">
Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.SingleSpeed</a>
and
<a href=\"Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.DoubleSpeed\">
Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.DoubleSpeed</a>.
</p>
<p>
The data are described in
<a href=\"modelica://Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.Generic.DXCoil\">
Buildings.Fluid.HeatExchangers.DXCoils.AirCooled.Data.Generic.DXCoil</a>.
</p>
</html>",
revisions="<html>
<ul>
<li>
July 23, 2012 by Kaustubh Phalak:<br/>
First implementation.
</li>
</ul>
</html>"));
end Generic;
