within Buildings.Fluid.HeatPumps.Data.ScrollWaterToWater.Heating;
record Carrier_50PSW240_93kW_4_40COP_R410A =
  Buildings.Fluid.HeatPumps.Data.ScrollWaterToWater.Generic (
    volRat = 2.06220893804,
    V_flow_nominal = 0.0130449462937,
    leaCoe = 0.0115795099184,
    etaEle = 1.0,
    PLos = 3501.16553626,
    dTSup = 2.99452373707e-20,
    UACon = 15632.3350979,
    UAEva = 11572.8594812)
    "Calibrated parameters for Carrier 50PSW240"

  annotation (
    defaultComponentPrefixes = "parameter",
    defaultComponentName="datHeaPum",
    preferredView="info",
  Documentation(info="<html>
<p>
Calibrated parameters for Carrier 50PSW240.
</p>
</html>", revisions="<html>
<ul>
<li>
March 6, 2017, by Massimo Cimmino:<br/>
Calibrated parameters.
</li>
</ul>
</html>"));
